## org.hibernate.mapping
Class Backref

    java.lang.Object
      org.hibernate.mapping.Property
          org.hibernate.mapping.Backref

All Implemented Interfaces:
  Serializable, MetaAttributable

    public class Backref

extends Property

See Also:
  Serialized Form

Constructor Summary
`Backref()`

Method Summary
`String` `getCollectionRole()`
`String` `getEntityName()`
`PropertyAccessor` `getPropertyAccessor(Class clazz)`
`boolean` `isBackRef()`
`boolean` `isBasicPropertyAccessor()`
`boolean` `isSynthetic()` Does this property represent a synthetic property? A synthetic property is one we create during metamodel binding to represent a collection of columns but which does not represent a property physically available on the entity.
`void` `setCollectionRole(String collectionRole)`
`void` `setEntityName(String entityName)`

Methods inherited from class org.hibernate.mapping.Property

`getAccessorPropertyName, getCascade, getCascadeStyle, getColumnIterator, getColumnSpan, getGeneration, getGetter, getMetaAttribute, getMetaAttributes, getName, getNodeName, getPersistentClass, getPropertyAccessorName, getSetter, getType, getValue, isComposite, isInsertable, isLazy, isNaturalIdentifier, isOptimisticLocked, isOptional, isPrimitive, isSelectable, isUpdateable, isValid, setCascade, setGeneration, setInsertable, setLazy, setMetaAttributes, setName, setNaturalIdentifier, setNodeName, setOptimisticLocked, setOptional, setPersistentClass, setPropertyAccessorName, setSelectable, setUpdateable, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Backref

    public Backref()

Method Detail

### isBackRef

    public boolean isBackRef()

  Overrides:
    `isBackRef` in class `Property`

### isSynthetic

    public boolean isSynthetic()

  Does this property represent a synthetic property? A synthetic property is one we create during metamodel binding to represent a collection of columns but which does not represent a property physically available on the entity.

  Overrides:
    `isSynthetic` in class `Property`
  Returns:
    True if synthetic; false otherwise.

### getCollectionRole

    public String getCollectionRole()

### setCollectionRole

    public void setCollectionRole(String collectionRole)

### isBasicPropertyAccessor

    public boolean isBasicPropertyAccessor()

  Overrides:
    `isBasicPropertyAccessor` in class `Property`

### getPropertyAccessor

    public PropertyAccessor getPropertyAccessor(Class clazz)

  Overrides:
    `getPropertyAccessor` in class `Property`

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.